<template>
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-3 col-md-3 col-lg-3">
                <nav class="sidebar sidebar-offcanvas" id="sidebar">
        <ul class="nav">
          <li class="nav-item nav-profile">
           
            <a href="#" class="nav-link">
              <div class="nav-profile-image" >
                <img :src="'images/'+details.image" alt="profile">
                <span class="login-status online"></span> <!--change to offline or busy as needed-->              
              </div>
              <div class="nav-profile-text d-flex flex-column">
                    <span class="font-weight-bold mb-2">{{ details.name }} </span>
                    <span class="text-secondary text-small">Event Attendee</span>
              </div>
              <i class="mdi mdi-bookmark-check text-success nav-profile-badge"></i>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link">
              <span class="menu-title"> <router-link to="/usercalender">Dashboard </router-link> </span>
              <i class="mdi mdi-home menu-icon"></i>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link">
              <span class="menu-title"> <router-link to="/userprofile">Profile </router-link> </span>
              <i class="mdi mdi-home menu-icon"></i>
            </a>
          </li>
        </ul>
      </nav>
            </div>
            <div class="col-sm-9 col-md-9 col-lg-9">
                <router-view></router-view>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    data(){
        return {
           details:[],
        }
    },
    methods:{
         reloaddata: function(){
            axios.get('/userdetails')
            .then((response) => this.details = response.data[0])
         }
    },
     created(){
       this.$eventBus.$on('userprofileupdate',this.reloaddata)
      axios.get('/userdetails')
      .then((response) => this.details = response.data[0])
      .catch((error) => console.log(error));
      console.log("sidebar component loaded successfully");
  }
}
</script>
<style>

</style>


